#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;

    vector<int> a(n), b(n);
    a[0] = 1;
    b[0] = 2;
    for (int i = 1; i<n; i++) {
        a[i] = a[i-1] + 2;
        b[i] = b[i-1] + 2;

    }



    for (int x : a) {
        cout<<x<<' ';
    }
    cout<<'\n';
    for (int x : b) {
        cout<<x<<' ';
    }


}